//+------------------------------------------------------------------+
//|                              mma_volume II ultimate v6 (old).mq4 |
//|                        Copyright 2012, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2012, WhooDoo22."
#property link      "http://www.mql4.com/users/WhooDoo22"

extern string CodedByWhooDoo22.="";
extern string ThanksToMQL4Comunity.="";


// run strategy on eurusd currency pair using m30 timeframe from dates 2003.01.01-2012.06.01.
// in the strategy tester, use Open prices only (fastest method to analyze the bar just completed, only for EAs that explicitly control bar opening.

// create a comment in the ea that shows the spread of the currency pair that the EA is on.

double spread = 3;

int MaxOrders = 1;

int ticket;
int i;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
 
//*************************
// BUY ORDER OPEN SECTION ;
//*************************

   OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES);
   if(OrdersHistoryTotal()==0)                                                                 {
   if(OrdersTotal()<MaxOrders)                                                                 {
   if(iMA(NULL,0,1,0,MODE_SMMA,PRICE_CLOSE,2)<(iMA(NULL,0,200,0,MODE_SMMA,PRICE_CLOSE,2)))     { 
   if(iMA(NULL,0,1,0,MODE_SMMA,PRICE_CLOSE,1)>(iMA(NULL,0,200,0,MODE_SMMA,PRICE_CLOSE,1)))     { 
     {
      ticket=OrderSend(Symbol(),OP_BUY,0.05,Ask,30,0,0,"",0,0,Blue);    
      i++;
     }
     }}}}
    
//***************************************************
// EMERGENCY BUY ORDER STOP LOSS PROTECTION SECTION ;
//***************************************************

   OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES);
   if(OrdersTotal()>0)                                                                         {
   if(OrderType()==OP_BUY)                                                                     {
     
     {OrderModify(ticket,0,OrderOpenPrice()-5000*Point,0,0,Blue);}}}     
      
//**************************
// BUY ORDER CLOSE SECTION ;
//**************************      
     
   OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES);
   if(OrderType()==OP_BUY)                                                                     {
   if(OrderLots()==0.05)                                                                       {
   if(OrdersTotal()>0)                                                                         {
   if(iMA(NULL,0,1,0,MODE_SMMA,PRICE_CLOSE,1)<(iMA(NULL,0,5,0,MODE_EMA,PRICE_CLOSE,1)))        { 
     {
      OrderClose(i,0.01,Bid,30,CLR_NONE);
      i++;
     }
     }}}}     

   OrderSelect(i,SELECT_BY_TICKET,MODE_TRADES);
   if(OrderType()==OP_BUY)                                                                     {
   if(OrderLots()==0.04)                                                                       {
   if(OrdersTotal()>0)                                                                         {
   if(iMA(NULL,0,1,0,MODE_SMMA,PRICE_CLOSE,1)<(iMA(NULL,0,25,0,MODE_SMMA,PRICE_CLOSE,1)))      {  
     {
      OrderClose(i,0.01,Bid,30,CLR_NONE); 
      i++;
     }
     }}}}
     
   OrderSelect(i,SELECT_BY_TICKET,MODE_TRADES);
   if(OrderType()==OP_BUY)                                                                     {
   if(OrderLots()==0.03)                                                                       {
   if(OrdersTotal()>0)                                                                         {
   if(iMA(NULL,0,1,0,MODE_SMMA,PRICE_CLOSE,1)<(iMA(NULL,0,50,0,MODE_SMMA,PRICE_CLOSE,1)))      {  
     {
      OrderClose(i,0.01,Bid,30,CLR_NONE); 
      i++;
     }
     }}}}
     
   OrderSelect(i,SELECT_BY_TICKET,MODE_TRADES);
   if(OrderType()==OP_BUY)                                                                     {
   if(OrderLots()==0.02)                                                                       {
   if(OrdersTotal()>0)                                                                         {
   if(iMA(NULL,0,1,0,MODE_SMMA,PRICE_CLOSE,1)<(iMA(NULL,0,100,0,MODE_SMMA,PRICE_CLOSE,1)))     {  
     {
      OrderClose(i,0.01,Bid,30,CLR_NONE); 
      i++;
     }
     }}}}       
     
   OrderSelect(i,SELECT_BY_TICKET,MODE_TRADES);
   if(OrderType()==OP_BUY)                                                                     {
   if(OrderLots()==0.01)                                                                       {
   if(OrdersTotal()>0)                                                                         {
   if(iMA(NULL,0,1,0,MODE_SMMA,PRICE_CLOSE,1)<(iMA(NULL,0,200,0,MODE_SMMA,PRICE_CLOSE,1)))     { 
     {
      OrderClose(i,0.01,Bid,30,CLR_NONE);
      i++;
      ticket=OrderSend(Symbol(),OP_SELL,0.05,Bid,30,0,0,"",0,0,Red);
     }
     }}}}

//************************** 
// SELL ORDER OPEN SECTION ;
//**************************

   OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES);
   if(OrdersHistoryTotal()==0)                                                                 {
   if(OrdersTotal()<MaxOrders)                                                                 {
   if(iMA(NULL,0,1,0,MODE_SMMA,PRICE_CLOSE,2)>(iMA(NULL,0,200,0,MODE_SMMA,PRICE_CLOSE,2)))     {
   if(iMA(NULL,0,1,0,MODE_SMMA,PRICE_CLOSE,1)<(iMA(NULL,0,200,0,MODE_SMMA,PRICE_CLOSE,1)))     {
     {
      ticket=OrderSend(Symbol(),OP_SELL,0.05,Bid,30,0,0,"",0,0,Red);
      i++;
     }
     }}}}
    
//****************************************************
// EMERGENCY SELL ORDER STOP LOSS PROTECTION SECTION ;
//****************************************************

   OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES);
   if(OrdersTotal()>0)                                                                         {
   if(OrderType()==OP_SELL)                                                                    {
     
     {OrderModify(ticket,0,OrderOpenPrice()+5000*Point,0,0,Red);}}}     

//***************************
// SELL ORDER CLOSE SECTION ;
//***************************     

   OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES);
   if(OrderType()==OP_SELL)                                                                    {
   if(OrderLots()==0.05)                                                                       {
   if(OrdersTotal()>0)                                                                         {
   if(iMA(NULL,0,1,0,MODE_SMMA,PRICE_CLOSE,1)>(iMA(NULL,0,5,0,MODE_EMA,PRICE_CLOSE,1)))        { 
     {
      OrderClose(i,0.01,Ask,30,CLR_NONE);
      i++;
     }
     }}}}     

   OrderSelect(i,SELECT_BY_TICKET,MODE_TRADES);
   if(OrderType()==OP_SELL)                                                                    {
   if(OrderLots()==0.04)                                                                       {
   if(OrdersTotal()>0)                                                                         {
   if(iMA(NULL,0,1,0,MODE_SMMA,PRICE_CLOSE,1)>(iMA(NULL,0,25,0,MODE_SMMA,PRICE_CLOSE,1)))      {  
     {
      OrderClose(i,0.01,Ask,30,CLR_NONE);
      i++;
     }
     }}}}

   OrderSelect(i,SELECT_BY_TICKET,MODE_TRADES);
   if(OrderType()==OP_SELL)                                                                    {
   if(OrderLots()==0.03)                                                                       {
   if(OrdersTotal()>0)                                                                         {
   if(iMA(NULL,0,1,0,MODE_SMMA,PRICE_CLOSE,1)>(iMA(NULL,0,50,0,MODE_SMMA,PRICE_CLOSE,1)))      { 
     {
      OrderClose(i,0.01,Ask,30,CLR_NONE);
      i++;
     }
     }}}}

   OrderSelect(i,SELECT_BY_TICKET,MODE_TRADES);
   if(OrderType()==OP_SELL)                                                                    {
   if(OrderLots()==0.02)                                                                       {
   if(OrdersTotal()>0)                                                                         {
   if(iMA(NULL,0,1,0,MODE_SMMA,PRICE_CLOSE,1)>(iMA(NULL,0,100,0,MODE_SMMA,PRICE_CLOSE,1)))     { 
     {
      OrderClose(i,0.01,Ask,30,CLR_NONE);
      i++;
     }
     }}}}
  
   OrderSelect(i,SELECT_BY_TICKET,MODE_TRADES);
   if(OrderType()==OP_SELL)                                                                    {
   if(OrderLots()==0.01)                                                                       {
   if(OrdersTotal()>0)                                                                         {
   if(iMA(NULL,0,1,0,MODE_SMMA,PRICE_CLOSE,1)>(iMA(NULL,0,200,0,MODE_SMMA,PRICE_CLOSE,1)))     { 
     {
      OrderClose(i,0.01,Ask,30,CLR_NONE);    
      i++;
      ticket=OrderSend(Symbol(),OP_BUY,0.05,Ask,30,0,0,"",0,0,Blue);
     }
     }}}}   




     
     
     
     
 
  

  








































     
     
     
     
     
     
   OrderSelect(i,SELECT_BY_TICKET,MODE_TRADES);
   
   Comment("\n Order Lots    = ",OrderLots(), 
           "\n Order Profit  = ",OrderProfit());
            
 
   
     
     
     
     
     
     
     
     




   return(0);
  }
//+------------------------------------------------------------------+